Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1272090 - Review Request: nodejs-expect - Write better assertions
Summary: Review Request: nodejs-expect - Write better assertions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1272088 1363789
Blocks: nodejs-reviews Node-RED 1364637
TreeView+ depends on / blocked
 
Reported: 2015-10-15 13:24 UTC by Jared Smith
Modified: 2016-10-21 08:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-15 15:20:46 UTC
vanmeeuwen+fedora: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2015-10-15 13:24:44 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-serve/nodejs-serve.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-serve/nodejs-serve-1.4.0-1.fc23.src.rpm
Description: Write better assertions
Fedora Account System Username: jsmith

Comment 1 Piotr Popieluch 2015-10-27 12:44:19 UTC
Title of but is nodejs-expect but the links point to nodejs-serve, please check what the correct module should be.

In nodejs-server there is a binary. This should be symlinked to /usr/bin/<name>


eg
in %install:
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/cli.js %{buildroot}%{_bindir}/%{srcname}

and %files:
%{_bindir}/%{srcname}

Comment 2 Jared Smith 2015-11-04 15:18:25 UTC
Sorry, that was a mistake on my part.  I'll open a separate review for nodejs-server.  In the meantime, here are the Spec and SRPM for nodejs-expect:

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-expect/nodejs-expect.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-expect/nodejs-expect-1.12.2-2.fc24.src.rpm

Comment 4 Jeroen van Meeuwen 2016-08-03 13:12:50 UTC
We're missing the build dependency of nodejs-is-equal (I can not find an existing review request for it either).

Comment 5 Jared Smith 2016-08-03 14:58:00 UTC
Ask and ye shall recieve... See RHBZ#1363789

Comment 6 Jeroen van Meeuwen 2016-08-07 10:03:36 UTC
LICENSE.md is not marked as a license file.

Comment 8 Gwyn Ciesla 2016-08-11 13:40:42 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-expect

Comment 9 Jared Smith 2016-08-15 15:20:46 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.